You are not logged in.

#1 2012-11-05 21:29:40

vtvs
Member
Registered: 2012-11-05
Posts: 2

Pacman not working - `GLIBC_2.16' not found

Hi all,

I was updating the system after a few months, got many errors with /lib and after fixing some of them I'm stuck with this one:

pacman -Su
pacman: /lib/libc.so.6: version `GLIBC_2.16' not found (required by /usr/lib/libarchive.so.12)

I downloaded and extracted the GLIBC package manually from here. The same with pacman package. Still not working. I used the

tar -xvpf name_of_the_package -C / --exclude .PKGINFO --exclude .INSTALL

What should I do?

Last edited by vtvs (2012-11-06 18:13:00)

Offline

#2 2012-11-07 11:00:57

vtvs
Member
Registered: 2012-11-05
Posts: 2

Re: Pacman not working - `GLIBC_2.16' not found

Bump?

Offline

#3 2012-11-07 11:47:42

loafer
Member
From: the pub
Registered: 2009-04-14
Posts: 1,725

Re: Pacman not working - `GLIBC_2.16' not found

What do you get if you do:

ls -l /usr/lib/libc.so.6

All men have stood for freedom...
For freedom is the man that will turn the world upside down.
Gerrard Winstanley.

Offline

#4 2012-11-07 11:54:12

ackt1c
Member
From: Visalia, California
Registered: 2012-10-10
Posts: 215

Re: Pacman not working - `GLIBC_2.16' not found

I use

tar xfJ pkgname

and use a File Manager to copy to /
rollback glibc from arm.konnichi.com (search it)
it's a missing/corrupt symlink I believe.

Offline

Board footer

Powered by FluxBB